PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::HymanSplineMaskedRect3DLazyDataImpl< DstT, SrcT, BaseT > Struct Template Reference

`#include <plask/mesh/rectangular_masked_spline.hpp>`

Inheritance diagram for plask::HymanSplineMaskedRect3DLazyDataImpl< DstT, SrcT, BaseT >:
[legend]
Collaboration diagram for plask::HymanSplineMaskedRect3DLazyDataImpl< DstT, SrcT, BaseT >:
[legend]

## Public Member Functions
| HymanSplineMaskedRect3DLazyDataImpl (const shared_ptr< const typename BaseT::MeshType > &src_mesh, const DataVector< const SrcT > &src_vec, const shared_ptr< const MeshD< 3 > > &dst_mesh, const InterpolationFlags &flags)
Public Member Functions inherited from plask::SplineMaskedRect3DLazyDataImpl< DstT, SrcT >
| SplineMaskedRect3DLazyDataImpl (const shared_ptr< const RectangularMaskedMesh3D > &src_mesh, const DataVector< const SrcT > &src_vec, const shared_ptr< const MeshD< 3 > > &dst_mesh, const InterpolationFlags &flags)
DstT | at (std::size_t index) const override
| Get index-th value from vector.
Public Member Functions inherited from plask::InterpolatedLazyDataImpl< DstT, RectangularMaskedMesh3D, const SrcT >
| InterpolatedLazyDataImpl (const shared_ptr< const RectangularMaskedMesh3D > &src_mesh, const DataVector< const const SrcT > &src_vec, const shared_ptr< const MeshD< SrcMeshType::DIM > > &dst_mesh, const InterpolationFlags &flags)
std::size_t | size () const override
| Get the number of elements in this vector.
Public Member Functions inherited from plask::LazyDataImpl< DstT >
virtual | ~LazyDataImpl ()
virtual DataVector< const DstT > | getAll () const
| Get all values as non-lazy vector.
virtual DataVector< DstT > | claim () const

## Additional Inherited Members
Public Types inherited from plask::SplineMaskedRect3DLazyDataImpl< DstT, SrcT >
typedef RectangularMaskedMesh3D | MeshType
Public Types inherited from plask::LazyDataImpl< DstT >
typedef DstT | CellType
Public Attributes inherited from plask::SplineMaskedRect3DLazyDataImpl< DstT, SrcT >
DataVector< SrcT > | diff0
DataVector< SrcT > | diff1
DataVector< SrcT > | diff2
Public Attributes inherited from plask::InterpolatedLazyDataImpl< DstT, RectangularMaskedMesh3D, const SrcT >
shared_ptr< const RectangularMaskedMesh3D > | src_mesh
shared_ptr< const MeshD< SrcMeshType::DIM > > | dst_mesh
DataVector< const const SrcT > | src_vec
InterpolationFlags | flags

## Detailed Description

template<typename DstT, typename SrcT, typename BaseT = SplineMaskedRect3DLazyDataImpl<DstT, SrcT>>
struct plask::HymanSplineMaskedRect3DLazyDataImpl< DstT, SrcT, BaseT >

Definition at line 132 of file rectangular_masked_spline.hpp.

## Constructor & Destructor Documentation

## ◆ HymanSplineMaskedRect3DLazyDataImpl()

template<typename DstT , typename SrcT , typename BaseT >

plask::HymanSplineMaskedRect3DLazyDataImpl< DstT, SrcT, BaseT >::HymanSplineMaskedRect3DLazyDataImpl | ( | const shared_ptr< const typename BaseT::MeshType > & | src_mesh,
|  | const DataVector< const SrcT > & | src_vec,
|  | const shared_ptr< const MeshD< 3 > > & | dst_mesh,
|  | const InterpolationFlags & | flags
| ) |  |

Definition at line 550 of file rectangular_masked_spline.cpp.

The documentation for this struct was generated from the following files:

- plask/mesh/rectangular_masked_spline.hpp
- plask/mesh/rectangular_masked_spline.cpp